Bug 190695 - double free or corruption when closing abiword
double free or corruption when closing abiword
Status: CLOSED DUPLICATE of bug 182399
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-04 11:17 EDT by Kjartan Maraas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-07 19:19:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2006-05-04 11:17:40 EDT
Description of problem:

Got this when closing a word document:

*** glibc detected *** abiword: double free or corruption (out): 0x09dce338 ***
======= Backtrace: =========
/lib/libc.so.6[0xc4ccf8]
/lib/libc.so.6(__libc_free+0x78)[0xc501df]
/usr/lib/libfontconfig.so.1(FcStrFree+0x3d)[0x3edbdd]
/usr/lib/libfontconfig.so.1(FcValueListDestroy+0x337)[0x3e8477]
/usr/lib/libfontconfig.so.1(FcPatternDestroy+0xeb)[0x3e879b]
/usr/lib/libXft.so.2[0x76627af]
/usr/lib/libXft.so.2(XftFontManageMemory+0x104)[0x76629a4]
/usr/lib/libXft.so.2(XftFontClose+0x4f)[0x7662a5f]
abiword(_ZN12XAP_UnixFontD1Ev+0xb0)[0x824b8c0]
abiword(_ZN19XAP_UnixFontManagerD1Ev+0x4b)[0x823d31b]
abiword(_ZN11XAP_UnixAppD2Ev+0x44)[0x8238e84]
abiword(_ZN10AP_UnixAppD0Ev+0x64)[0x813e434]
abiword(_ZN10AP_UnixApp4mainEPKciPS1_+0x3cc)[0x813fb9c]
abiword(main+0x2a)[0x813bb2a]
/lib/libc.so.6(__libc_start_main+0xdc)[0xbfe824]
abiword(__gxx_personality_v0+0x349)[0x813ba71]
======= Memory map: ========
00101000-001fa000 r-xp 00000000 fd:00 268        /usr/lib/libX11.so.6.2.0
001fa000-001fe000 rwxp 000f9000 fd:00 268        /usr/lib/libX11.so.6.2.0
001fe000-00203000 r-xp 00000000 fd:00 100127     /usr/lib/libenchant.so.1.2.5
00203000-00204000 rwxp 00004000 fd:00 100127     /usr/lib/libenchant.so.1.2.5
00204000-00212000 r-xp 00000000 fd:00 2580768    /usr/lib/libfribidi.so.0.0.0
00212000-00213000 rwxp 0000e000 fd:00 2580768    /usr/lib/libfribidi.so.0.0.0
00213000-0027e000 r-xp 00000000 fd:00 2575619    /usr/lib/libfreetype.so.6.3.8
0027e000-00281000 rwxp 0006a000 fd:00 2575619    /usr/lib/libfreetype.so.6.3.8
00281000-0028a000 r-xp 00000000 fd:00 1737335    /lib/libnss_files-2.4.90.so
0028a000-0028b000 r-xp 00008000 fd:00 1737335    /lib/libnss_files-2.4.90.so
0028b000-0028c000 rwxp 00009000 fd:00 1737335    /lib/libnss_files-2.4.90.so
0028c000-0028e000 r-xp 00000000 fd:00 2607781    /usr/lib/gconv/CP1252.so
0028e000-00290000 rwxp 00001000 fd:00 2607781    /usr/lib/gconv/CP1252.so
002af000-002b2000 r-xp 00000000 fd:00 2572359    /usr/lib/libXrandr.so.2.0.0
002b2000-002b3000 rwxp 00002000 fd:00 2572359    /usr/lib/libXrandr.so.2.0.0
002b5000-002b7000 r-xp 00000000 fd:00 2573644    /usr/lib/libXinerama.so.1.0.0
002b7000-002b8000 rwxp 00001000 fd:00 2573644    /usr/lib/libXinerama.so.1.0.0
002ba000-002d1000 r-xp 00000000 fd:00 2576285    /usr/lib/libICE.so.6.3.0
002d1000-002d2000 rwxp 00016000 fd:00 2576285    /usr/lib/libICE.so.6.3.0
002d2000-002d4000 rwxp 002d2000 00:00 0
002d6000-002de000 r-xp 00000000 fd:00 2576288    /usr/lib/libSM.so.6.0.0
002de000-002df000 rwxp 00008000 fd:00 2576288    /usr/lib/libSM.so.6.0.0
002e1000-00372000 r-xp 00000000 fd:00 2575913    /usr/lib/libglib-2.0.so.0.1000.2
00372000-00373000 rwxp 00091000 fd:00 2575913    /usr/lib/libglib-2.0.so.0.1000.2
00375000-003b3000 r-xp 00000000 fd:00 2579863    /usr/lib/libgobject-2.0.so.0.1000.2
003b3000-003b4000 rwxp 0003e000 fd:00 2579863    /usr/lib/libgobject-2.0.so.0.1000.2
003c4000-003c7000 r-xp 00000000 fd:00 2586882    /usr/lib/libgmodule-2.0.so.0.1000.2
003c7000-003c8000 rwxp 00002000 fd:00 2586882    /usr/lib/libgmodule-2.0.so.0.1000.2
003c8000-00401000 r-xp 00000000 fd:00 2576261    /usr/lib/libfontconfig.so.1.0.4
00401000-00404000 rwxp 00039000 fd:00 2576261    /usr/lib/libfontconfig.so.1.0.4
00404000-00405000 rwxp 00404000 00:00 0
00436000-0043c000 r-xp 00000000 fd:00 353       
/usr/lib/libpangoxft-1.0.so.0.1200.1
0043c000-0043d000 rwxp 00006000 fd:00 353       
/usr/lib/libpangoxft-1.0.so.0.1200.1
00495000-004a0000 r-xp 00000000 fd:00 1736782    /lib/libgcc_s-4.1.0-20060501.so.1
004a0000-004a1000 rwxp 0000a000 fd:00 1736782    /lib/libgcc_s-4.1.0-20060501.so.1
004b9000-004da000 r-xp 00000000 fd:00 141        /usr/lib/libjpeg.so.62.0.0
004da000-004db000 rwxp 00020000 fd:00 141        /usr/lib/libjpeg.so.62.0.0
004dd000-004f4000 r-xp 00000000 fd:00 98617     
/usr/lib/libgdk_pixbuf-2.0.so.0.800.17
004f4000-004f5000 rwxp 00016000 fd:00 98617     
/usr/lib/libgdk_pixbuf-2.0.so.0.800.17
004f7000-00533000 r-xp 00000000 fd:00 98862      /usr/lib/libpango-1.0.so.0.1200.1
00533000-00535000 rwxp 0003b000 fd:00 98862      /usr/lib/libpango-1.0.so.0.1200.1
00537000-0053e000 r-xp 00000000 fd:00 98874      /usr/lib/libXi.so.6.0.0
0053e000-0053f000 rwxp 00007000 fd:00 98874      /usr/lib/libXi.so.6.0.0
00541000-00568000 r-xp 00000000 fd:00 98869     
/usr/lib/libpangoft2-1.0.so.0.1200.1
00568000-00569000 rwxp 00027000 fd:00 98869     
/usr/lib/libpangoft2-1.0.so.0.1200.1
0056b000-00573000 r-xp 00000000 fd:00 2575131   
/usr/lib/libpangocairo-1.0.so.0.1200.1
00573000-00574000 rwxp 00007000 fd:00 2575131   
/usr/lib/libpangocairo-1.0.so.0.1200.1
00576000-00894000 r-xp 00000000 fd:00 2575754    /usr/lib/libgtk-x11-2.0.so.0.800.17
00894000-0089c000 rwxp 0031d00

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Marc Maurer 2006-05-07 19:19:41 EDT

*** This bug has been marked as a duplicate of 182399 ***

Note You need to log in before you can comment on or make changes to this bug.